--- title: "Get Top Malware Downloads" slug: "get-top-malware-downloads" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:43Z published: 2026-09-23T09:35:43Z canonical: "docs.trellix.com/get-top-malware-downloads" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Top Malware Downloads This URL retrieves the top malware downloads. ## Resource URL GET /alerts/TopN/malware_downloads ## Request Parameters URL Parameters: None Payload Request Parameters: None Query Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | duration | Indicates the start time for the alerts. The default value is LAST_14_DAYS. Duration can be: - LAST_5_MINUTES - LAST_1_HOUR - LAST_6_HOURS - LAST_12_HOURS - LAST_24_HOURS - LAST_48_HOURS - LAST_7_DAYS - LAST_14_DAYS | String | No | ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | TopMalwareDownloadsList | List of the top malware downloads | Array | Details of fields in TopMalwareDownloadsList: | Field Name | Description | Data Type | | --- | --- | --- | | fileHash | The malware file hash | String | | attackCount | Count of the attack | Number | ## Example **Request** GET [https:///sdkapi/alerts/TopN/malware_downloads?duration=LAST_14_DAYS](https://%3CNSM_IP%3E/sdkapi/alerts/TopN/malware_downloads?duration=LAST_14_DAYS) **Payload** None **Response** ``` { "TopMalwareDownloadsList":[] } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error | | 2 | 400 | 3601 | Invalid duration |